std::basic_string_view::back(3)

NAME
std::basic_string_view::back - std::basic_string_view::back

Synopsis
   constexpr const_reference back() const; (since C++17)
   Returns reference to the last character in the view. The behavior is undefined if
   empty() == true.

Parameters
   (none)

Return value
   Reference to the last character, equivalent to operator[](size() - 1).

Complexity
   Constant.

Example
// Run this code
 #include <string_view>
 #include <iostream>
 int main() {
     for (std::string_view str{"ABCDEF"}; !str.empty(); str.remove_suffix(1))
         std::cout << str.back() << ' ' << str << '\n';
 }

Output:
 F ABCDEF
 E ABCDE
 D ABCD
 C ABC
 B AB
 A A

See also
   front accesses the first character
   (C++17) (public member function)
   empty checks whether the view is empty
   (C++17) (public member function)
   back accesses the last character
   (C++11) (public member function of std::basic_string<CharT,Traits,Allocator>)